export const navigation = [
  {
    label: "About Us",
    items: [
      {
        label: "Mission Statement",
        link: "/about/mission",
      },
      {
        label: "Sustainability",
        link: "/about/sustainability",
      },
      {
        label: "Hire us!",
        link: "/about/hire",
      },
      {
        label: "Support Our Work 💜",
        link: "/about/donate",
      },
      {
        label: "Contact",
        link: "/about/contact",
      },
      {
        label: "Mentorship",
        link: "/about/mentorship",
      },
    ],
  },
  {
    label: "Legal Information",
    items: [
      {
        label: "Terms of Service",
        link: "/legal/terms",
      },
      {
        label: "Privacy Policy",
        link: "/legal/privacy",
      },
      {
        label: "Software License",
        link: "/legal/license",
      },
      {
        label: "Security Policy",
        link: "/legal/security",
      },
      {
        label: "DMCA and Copyright",
        link: "/legal/dmca",
      },
      {
        label: "Subprocessors List",
        link: "/legal/subprocessors",
      },
      {
        label: "Government Actions",
        link: "/legal/government",
      },
    ],
  },
  {
    label: "Community Policies",
    items: [
      {
        label: "Code of Conduct",
        link: "/community/coc",
      },
      {
        label: "Community Guidelines",
        link: "/community/guide",
      },
      {
        label: "Appeal a Sanction",
        link: "/community/appeal",
      },
    ],
  },
  {
    label: "Development Documentation",
    items: [
      {
        label: "Contributing Guide",
        link: "/dev/contributing",
      },
      {
        label: "Contributor Covenant",
        link: "/dev/covenant",
      },
      {
        label: "Style Guide",
        link: "/dev/style",
      },
      {
        label: "Issue/PR Labels",
        link: "/dev/labels",
      },
      {
        label: "Development Environment",
        link: "/dev/environment",
      },
      {
        label: "Server Setup",
        link: "/dev/servers",
      },
      {
        label: "VTubing Setup",
        link: "/dev/vtubing",
      },
    ],
  },
  {
    label: "Project Documentation",
    items: [
      {
        label: "ESLint Config",
        link: "/projects/eslint-config",
        badge: { text: "v5.1.0", variant: "tip" },
      },
      {
        label: "Aria Iuvo",
        link: "/projects/aria-iuvo",
        badge: { text: "v1.2.0", variant: "tip" },
      },
      {
        label: "Becca Lyria",
        link: "/projects/becca-lyria",
        badge: { text: "v1.0.0", variant: "tip" },
      },
      {
        label: "Naomi's Blog",
        link: "/projects/blog",
        badge: { text: "v0.1.0", variant: "caution" },
      },
      {
        label: "Celestine",
        link: "/projects/celestine",
        badge: { text: "v1.3.0", variant: "tip" },
      },
      {
        label: "Cordelia Taryne",
        link: "/projects/cordelia-taryne",
        badge: { text: "v1.1.0", variant: "tip" },
      },
      {
        label: "Gwen Abalise",
        link: "/projects/gwen-abalise",
        badge: { text: "v1.0.0", variant: "tip" },
      },
      {
        label: "Hikari",
        link: "/projects/hikari",
        badge: { text: "v0.0.0", variant: "danger" },
      },
      {
        label: "Maylin Taryne",
        link: "/projects/maylin-taryne",
        badge: { text: "v1.0.0", variant: "tip" },
      },
      {
        label: "Melody Iuvo",
        link: "/projects/melody-iuvo",
        badge: { text: "v1.0.0", variant: "tip" },
      },
      {
        label: "Mommy Bot",
        link: "/projects/mommy-bot",
        badge: { text: "v0.0.0", variant: "danger" },
      },
      {
        label: "Mommy",
        link: "/projects/mommy",
        badge: { text: "v0.0.0", variant: "danger" },
      },
      {
        label: "NHCarrigan Portfolio",
        link: "/projects/portfolio",
        badge: { text: "unversioned", variant: "success" },
      },
      {
        label: "Logger",
        link: "/projects/logger",
        badge: { text: "v1.0.0", variant: "tip" },
      },
      {
        label: "Resume",
        link: "/projects/resume",
        badge: { text: "v1.0.0", variant: "tip" },
      },
      {
        label: "Rosalia Nightsong",
        link: "/projects/rosalia-nightsong",
        badge: { text: "v1.0.0", variant: "tip" },
      },
      {
        label: "Static Pages",
        link: "/projects/static-pages",
        badge: { text: "unversioned", variant: "success" },
      },
      {
        label: "Website Headers",
        link: "/projects/website-headers",
        badge: { text: "v2.1.0", variant: "tip" },
      },
    ].sort((a, b) => a.label.localeCompare(b.label)),
  },
  {
    label: "Staff Guidelines",
    items: [
      {
        label: "Staff Handbook",
        link: "/staff/handbook",
      },
      {
        label: "Join our Team",
        link: "/staff/apply",
      },
    ],
  },
  {
    label: "Miscellaneous Documents",
    items: [
      {
        label: "Managing Local Music",
        link: "/misc/music",
      },
    ],
  },
  {
    label: "Sitemap",
    link: "https://sitemap.nhcarrigan.com",
    attrs: {
      target: "_blank",
    },
  },
];
