---
title: NHCarrigan Portfolio
---

NHCarrigan Portfolio (hereinafter the "Application") is a static HTML landing page that serves as the primary web presence for NHCarrigan, a software engineering and community management consulting firm. The Application provides information about the organization's services, contact methods, past clients, and founder, while serving as a gateway to the broader NHCarrigan ecosystem of tools and communities.

## 1. User Documentation

:::note
This section is coming soon!
:::

This section is for those interacting with a live instance of the Application.

### Current Live Instance

The Application is currently deployed and accessible at [nhcarrigan.com](https://nhcarrigan.com).

### Available Features

- **Company Information**: Overview of NHCarrigan's consulting services specializing in community management and software engineering
- **Service Offerings**: Details about tools and infrastructure development for online community management
- **Contact Options**: Multiple ways to reach the organization including:
  - Public Discord community
  - Forum for long-form discussions
  - Commission inquiry form
  - General contact form
  - Paid meeting scheduling
- **Past Work**: Links to founder's resume, client testimonials, sitemap, and open source code
- **Founder Information**: Background about Naomi Carrigan and the organization's mission
- **Resource Links**: Access to documentation, policies, and educational content

## 2. Technical Documentation

:::note
This section is coming soon!
:::

This section is for those interested in running their own instance of the Application.

### Architecture

The Application is built as a simple static HTML website consisting of:
- Single `index.html` file located in the `site/` directory
- External CSS and JavaScript resources loaded from `cdn.nhcarrigan.com`
- No build process or dependencies required

### Deployment Requirements

- Static web hosting capable of serving HTML files
- No server-side processing required
- No database or runtime dependencies

### External Dependencies

- CSS styling loaded from `https://cdn.nhcarrigan.com/headers/index.js`
- Logo image served from `https://cdn.nhcarrigan.com/logo.png`

## 3. Legal Documentation

:::note
This section is coming soon!
:::

This section is for expansions to our legal policies specific to the Application.

### Current Legal Framework

The Application operates under NHCarrigan's standard legal documentation:
- **License**: Global software license (available at docs.nhcarrigan.com)
- **Copyright**: Held by Naomi Carrigan
- **Code of Conduct**: Available in repository and at docs.nhcarrigan.com
- **Privacy Policy**: Referenced on the website
- **Terms of Service**: Referenced on the website

## 4. Contributing Documentation

:::note
This section is coming soon!
:::

This section is for documentation related to contributing to the Application's codebase.

### Current Contributing Guidelines

- Contributing guidelines available at: https://docs.nhcarrigan.com/#/contributing
- Code of Conduct must be followed (see CODE_OF_CONDUCT.md)
- Pull requests welcome for proposed changes
- Issues can be reported through the repository's issue tracker
- Community support available through Discord at chat.nhcarrigan.com

### Repository Structure

```
/
├── CODE_OF_CONDUCT.md    # Community guidelines
├── CONTRIBUTING.md       # Link to contributing guidelines
├── LICENSE.md           # License information
├── PRIVACY.md           # Privacy policy
├── README.md            # Project overview
├── SECURITY.md          # Security policies
├── TERMS.md             # Terms of service
├── site/
│   └── index.html       # Main website file
└── .gitea/              # Issue and PR templates
```

### Contact Information

- **Email**: contact@nhcarrigan.com
- **Discord**: https://chat.nhcarrigan.com
- **Website**: https://nhcarrigan.com
